
<h2>{'ase_config'|@translate}</h2>

{literal}
<script type='text/javascript'>

  function configManager()
  {

    this.init = function ()
    {
      this.displayTab('gallery');
    }

    /**
     * manage the tabsheet
     *
     * @param String tabsheet : id of the tabsheet to display
     */
    this.displayTab = function (tabsheet)
    {
      switch(tabsheet)
      {
        case 'gallery':
          $('#iTabGallery').css('display', 'block');
          $('#iTabConfig').css('display', 'none');
          break;
        case 'keyword':
          $('#iTabGallery').css('display', 'none');
          $('#iTabConfig').css('display', 'block');
          break;
      }
    }

    this.checkValidity = function(tabsheet)
    {
      $('.error').removeClass('error');

      re=/\d+/i;

      ok=true;

      if(tabsheet==null || tabsheet=='gallery')
      {

        if($('#iPAActive').attr('checked') && $('input.checkModules:checked').length==0)
        {
          $('input.checkModules').parent().addClass('error');
          $('#itabcfggallery a').click();
          ok=false;
          alert('{/literal}{"ase_error_no_module_checked"|@translate}{literal}');
        }

        if(re.exec($('#iPALimits').val())==null || $('#iPALimits').val()=='0')
        {
          $('#iPALimits').addClass('error');
          $('#itabcfggallery a').click();
          ok=false;
          alert("{/literal}{'ase_error_limit_must_be_integer_gt_0'|@translate}{literal}");
        }
      }

      if(tabsheet==null || tabsheet=='keyword')
      {
        if(re.exec($('#iKMinLength').val())==null || $('#iKMinLength').val()=='0')
        {
          $('#iKMinLength').addClass('error');
          $('#itabcfgkeyword a').click();
          ok=false;
          alert("{/literal}{'ase_error_key_word_min_length_must_be_integer_gt_0'|@translate}{literal}");
        }
      }

      return(ok);
    }

    this.submit = function ()
    {
      var ok=this.checkValidity();


      if(ok) $('#iForm').get(0).submit();
    }

    this.init();
  }

</script>
{/literal}

{$configTabsheet}


<form method="POST" action="" id='iForm'>

  <div id='iTabGallery' style='display:none;'>
    <div>
      <label><input type="checkbox" id='iPAActive' name='fPAActive' {if $aseConfig.ase_publicAccess_active}checked{/if}>&nbsp;{'ase_publicAccess_active'|@translate}</label>
    </div>

    <div style='margin-left:30px;'>
      {'ase_publicAccess_allowedPlugins'|@translate}
      <ul class='modulesList'>
        {foreach from=$datas.modules item=module}
          <li><label><input class='checkModules' type="checkbox" name="fModule{$module.id}" {if $module.accessible}checked{/if}>&nbsp;{$module.name}</label></li>
        {/foreach}
      </ul>
    </div>

    <div class='cfgBloc' style='display:none;'>
      <label><input type="checkbox" id='iPAApplyLimits' name='fPAApplyLimits' {if $aseConfig.ase_publicAccess_applyLimits}checked{/if}>&nbsp;{'ase_publicAccess_applyLimits'|@translate}</label>
      <input id="iPALimits" name="fPALimits" type="text" maxlength='6' size='6' value="{$aseConfig.ase_publicAccess_limits}">
    </div>

  </div>

  <div id='iTabConfig' style='display:none;'>
    {'ase_keyword_minLength'|@translate}&nbsp;
    <input id="iKMinLength" name="fKMinLength" type="text" maxlength='2' size='2' value="{$aseConfig.ase_keyword_minLength}">
  </div>


  <div class='cfgBloc'>
    <input type="button" onclick="cm.submit();" value="{'ase_apply'|@translate}">
  </div>

</form>


{literal}
<script type="text/javascript">
  var cm=new configManager();
</script>
{/literal}
